Show / Hide Table of Contents

# Struct STB_TexteditStatePtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct STB_TexteditStatePtr

### Constructors

| Improve this Doc View Source

#### STB_TexteditStatePtr(STB_TexteditState*)

##### Declaration

    public STB_TexteditStatePtr(STB_TexteditState*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
STB_TexteditState* | nativePtr |

| Improve this Doc View Source

#### STB_TexteditStatePtr(IntPtr)

##### Declaration

    public STB_TexteditStatePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### cursor

##### Declaration

    public int cursor { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### cursor_at_end_of_line

##### Declaration

    public byte cursor_at_end_of_line { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### has_preferred_x

##### Declaration

    public byte has_preferred_x { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### initialized

##### Declaration

    public byte initialized { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### insert_mode

##### Declaration

    public byte insert_mode { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public STB_TexteditState*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
STB_TexteditState* |

| Improve this Doc View Source

#### padding1

##### Declaration

    public byte padding1 { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### padding2

##### Declaration

    public byte padding2 { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### padding3

##### Declaration

    public byte padding3 { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### preferred_x

##### Declaration

    public float preferred_x { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### row_count_per_page

##### Declaration

    public int row_count_per_page { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### select_end

##### Declaration

    public int select_end { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### select_start

##### Declaration

    public int select_start { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### single_line

##### Declaration

    public byte single_line { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### undostate

##### Declaration

    public StbUndoState undostate { get; }

##### Property Value

Type | Description
--- | ---
StbUndoState |

### Operators

| Improve this Doc View Source

#### Implicit(STB_TexteditState* to STB_TexteditStatePtr)

##### Declaration

    public static implicit operator STB_TexteditStatePtr(STB_TexteditState*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
STB_TexteditState* | nativePtr |

##### Returns

Type | Description
--- | ---
STB_TexteditStatePtr |

| Improve this Doc View Source

#### Implicit(STB_TexteditStatePtr to STB_TexteditState*)

##### Declaration

    public static implicit operator STB_TexteditState*(STB_TexteditStatePtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
STB_TexteditStatePtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
STB_TexteditState* |

| Improve this Doc View Source

#### Implicit(IntPtr to STB_TexteditStatePtr)

##### Declaration

    public static implicit operator STB_TexteditStatePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
STB_TexteditStatePtr |